<?php
namespace Teknisa\PLA\Modules\Parametros\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\Controller;
use Zeedhi\Framework\Controller\Crud;
use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DTO\Response\Notification;

class ger08800GrupoDeNutrientes extends \Teknisa\GER\Controllers\TeknisaCrud {
	protected $dataSourceName = "nutriente";
	protected $parameterBagColumns;
	protected $dataSourceNameToSave;
	protected $crudService;
	protected $dataSourceManager;
	protected $parameterBag;
	protected $environment;

	public function __construct($crudService, $parameterBag, $dataSourceManager, $environment, $connection) {
		$this->crudService = $crudService;
		$this->parameterBag = $parameterBag;
		$this->dataSourceManager = $dataSourceManager;
		$this->environment = $environment;
		$this->connection = $connection;
		parent::__construct($crudService, $parameterBag);
	}
	
	public function alteraGrupo(DTO\Request $request, DTO\Response $response){
        $data = $request->getDataSet()->getRows();
        var_dump($data);
        $query = 'UPDATE NUTRIENTE SET CDGRUPNUTR = :CDGRUPNUTR WHERE CDNUTRIENTE = :CDNUTRIENTE AND NRORG = :NRORG';
        $stmt = $this->connection->prepare($query);
        $stmt->execute(array(
            "CDGRUPNUTR" => $data[0]['CDGRUPNUTR'],
            "CDNUTRIENTE" => $data[0]['CDNUTRIENTE'],
            "NRORG" => $this->environment->getNrOrg()
        ));
	}
}
